SparrowDesk
Contact fields

List all contact fields

Retrieve contact fields with pagination and search capabilities

GET
/contact-fields
AuthorizationBearer <token>

In: header

Query Parameters

search?string
page?integer
limit?integer

Response Body

application/json

application/json

curl -X GET "https://app.sparrowdesk.com/v1/contact-fields"
{
  "data": [
    {
      "id": 201,
      "name": "Company Size",
      "internal_name": "companysize",
      "type": "dropdown",
      "description": "Number of employees in the company",
      "is_active": true,
      "is_default": false,
      "field_options": [
        {
          "name": "1-10",
          "position": 1
        }
      ],
      "created_at": 1672531200,
      "updated_at": 1672535400
    }
  ],
  "meta": {
    "page": 1,
    "limit": 25,
    "total": 40,
    "has_next_page": true
  }
}
{
  "error": {
    "message": "Error retrieving contact fields"
  }
}